QGIS Application - Bug report #14101
French reprojection use ntf_r93.gsb (IGNF:LAMBE etc ..)
2016-01-14 03:39 AM - Yves ryra6453

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:2.12.2 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: up/downstream
Crashes QGIS or corrupls data: Copied to github as #: 22107
Description

ERROR when reproject or save as whith "IGNF:xxx" projection
for example:
PROJ.4: +proj=longlat +datum=WGS84 +no_defs +ellps=WGS84 +towgs84=0,0,0 +to +proj=Ilcc +nadgrids=ntf _r93.gsb,null
+a=6378249.2000 +rf=293.4660210000000 +pm=2.337229167 +lat_0=46.800000000 +lon_0=0.000000000 +k_0=0.99987742
+lat_1=46.800000000 +x_0=600000.000 +y_0=2200000.000 +units=m +no_defs
Erreur: failed to load datum shift file
in python console
>>>import 0s

>>>0s.getenv('PROJ_LIB')
"C\MYPROG~1\QGIS_L~1.2\\share\\proj™

path is ok and ntf_r93.gsb exist.

Related issues:
Duplicated by QGIS Application - Bug report # 14198: French projections Closed 2016-01-30

History

#1 - 2016-01-15 06:22 AM - Yves ryra6453

| found a temporary solution.

| change the proj4 definition in the database /path_qgis/apps/qgis/ressources/srs.db
In table tbl_srs

| delete ",null" after "+nadgrids=ntf_r93.gsb" in parameters column

reprojection now operating normally

| test whith national reference software (IGN Circé France) the coordinate convertion is exact.

#2 - 2016-01-23 09:35 AM - Quan Tum
Hello all,

| have the same bug here and found the same workaround.

For future references, the OP has more detailed information (in french) here : http:/georezo.net/forum/viewtopic.php?pid=277328#p277328

Results are the same with 32 an d 64 bit standalone setup, as well as OSGEO4W setup. So it seems to come from QGIS itself.
On my side, with an OSGEO4W setup, other software using gdal seem to work without problem.

The symptoms are the same than in this bug #7941

Although the bug/solution for this one was in OSGEO4W code, there are some interesting debugging information.

| didn't manage to find a solution though and would be glad if more experienced devs could give a hand !

Thanks,

Cev.

#3 - 2016-01-30 07:28 AM - Jiirgen Fischer
- Resolution set to up/downstream

- Status changed from Open to Closed

This is a (fixed) OSGeo4W issue with the proj package.
